Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.dialogs.specialformats.distanceadapters
Class AbstractLabelDistanceAdapter

    java.lang.Object
      info.bioinfweb.treegraph.gui.dialogs.specialformats.AbstractLabelAdapter
          info.bioinfweb.treegraph.gui.dialogs.specialformats.distanceadapters.AbstractLabelDistanceAdapter

All Implemented Interfaces:
  DistanceAdapter

Direct Known Subclasses:
  AbstractIconLabelDistanceAdapter, LabelMarginBottomAdapter, LabelMarginLeftAdapter, LabelMarginRightAdapter, LabelMarginTopAdapter, LabelTextHeightAdapter

    public abstract class AbstractLabelDistanceAdapter

extends AbstractLabelAdapter
implements DistanceAdapter

Since:
  2.0.25
Author:
  Ben Stöver

Constructor Summary
`AbstractLabelDistanceAdapter(String id)`

Method Summary
`float` | `getDistance(Node node)` Returns the distance value of the label with the specified ID in millimeters.
`protected abstract DistanceValue` | `getDistanceValue(LabelFormats formats)`
`void` | `setDistance(float distance, Node node)`

Methods inherited from class info.bioinfweb.treegraph.gui.dialogs.specialformats.AbstractLabelAdapter
`getID, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractLabelDistanceAdapter

    public AbstractLabelDistanceAdapter(String id)

Method Detail

### getDistanceValue

    protected abstract DistanceValue getDistanceValue(LabelFormats formats)

### getDistance

    public float getDistance(Node node)

  Returns the distance value of the label with the specified ID in millimeters.

  Specified by:
    `getDistance` in interface `DistanceAdapter`
  Parameters:
    `node` -
  Returns:
    the text height or `Float.NaN` if no label with this ID exists on the specified node
  See Also:
    `DistanceAdapter.getDistance(info.bioinfweb.treegraph.document.Node)`

### setDistance

    public void setDistance(float distance,
                            Node node)

  Specified by:
    `setDistance` in interface `DistanceAdapter`
  Parameters:
    `distance` - - the new distance value in millimeters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD